com.taosdata.jdbc.ws

## Class WSEWPreparedStatement

- java.lang.Object
- - com.taosdata.jdbc.WrapperImpl
  - - com.taosdata.jdbc.AbstractStatement
    - - com.taosdata.jdbc.ws.WSStatement
      - - com.taosdata.jdbc.ws.WSRetryableStmt
        - - com.taosdata.jdbc.ws.AbsWSPreparedStatement
          - - com.taosdata.jdbc.ws.WSEWPreparedStatement

All Implemented Interfaces:
  TaosPrepareStatement, AutoCloseable, PreparedStatement, Statement, Wrapper

    public class WSEWPreparedStatement
    extends AbsWSPreparedStatement

### Field Summary

### Fields inherited from class com.taosdata.jdbc.ws.AbsWSPreparedStatement

`colOrderedMap, queryTimeout`

### Fields inherited from class com.taosdata.jdbc.ws.WSRetryableStmt

`lastError, param, stmtInfo`

### Fields inherited from class com.taosdata.jdbc.ws.WSStatement

`closed, database, resultSet, transport, zoneId`

### Fields inherited from class com.taosdata.jdbc.AbstractStatement

`affectedRows, batchedArgs, instanceId`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`WSEWPreparedStatement(Transport transport, ConnectionParam param, String database, AbstractConnection connection, String sql, Long instanceId, Stmt2PrepareResp prepareResp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBatch()`
`void` `close()`
`void` `columnDataAddBatch()`
`void` `columnDataCloseBatch()`
`void` `columnDataExecuteBatch()`
`boolean` `execute()`
`int[]` `executeBatch()`
`ResultSet` `executeQuery()`
`int` `executeUpdate()`
`ResultSetMetaData` `getMetaData()`

### Methods inherited from class com.taosdata.jdbc.ws.AbsWSPreparedStatement

`bindAllToTableInfo, clearParameters, getParameterMetaData, getQueryTimeout, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBigInteger, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBlob, setBoolean, setBoolean, setByte, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setDouble, setFloat, setFloat, setGeometry, setGeometry, setInt, setInt, setLong, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNString, setNull, setNull, setObject, setObject, setObject, setQueryTimeout, setRef, setRowId, setShort, setShort, setSQLXML, setString, setString, setTableName, setTagBigInteger, setTagBoolean, setTagByte, setTagDouble, setTagFloat, setTagGeometry, setTagInt, setTagJson, setTagLong, setTagNString, setTagNull, setTagShort, setTagSqlTypeNull, setTagString, setTagTimestamp, setTagTimestamp, setTagVarbinary, setTime, setTime, setTimestamp, setTimestamp, setTimestamp, setUnicodeStream, setURL, setValueImpl, setVarbinary, setVarbinary`

### Methods inherited from class com.taosdata.jdbc.ws.WSRetryableStmt

`initStmt, queryWithRetry, releaseStmt, writeBlockWithRetry, writeBlockWithRetrySync`

### Methods inherited from class com.taosdata.jdbc.ws.WSStatement

`checkBlobSupport, execute, execute, executeQuery, executeQuery, executeUpdate, executeUpdate, getConnection, getResultSet, getUpdateCount, isClosed`

### Methods inherited from class com.taosdata.jdbc.AbstractStatement

`addBatch, cancel, clearBatch, clearWarnings, closeOnCompletion, execute, execute, execute, executeUpdate, executeUpdate, executeUpdate, getFetchDirection, getFetchSize, getGeneratedKeys, getInstanceId, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getWarnings, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable`

### Methods inherited from class com.taosdata.jdbc.WrapperImpl

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`executeLargeUpdate, setObject, setObject`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, closeOnCompletion, execute, execute, execute, execute, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### WSEWPreparedStatement

    public WSEWPreparedStatement(Transport transport,
                                 ConnectionParam param,
                                 String database,
                                 AbstractConnection connection,
                                 String sql,
                                 Long instanceId,
                                 Stmt2PrepareResp prepareResp)
                          throws SQLException

Throws:
  `SQLException`

### Method Detail

#### execute

    public boolean execute()
                    throws SQLException

Specified by:
  `execute` in interface `PreparedStatement`
Overrides:
  `execute` in class `AbsWSPreparedStatement`
Throws:
  `SQLException`

#### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

Specified by:
  `executeQuery` in interface `PreparedStatement`
Overrides:
  `executeQuery` in class `AbsWSPreparedStatement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate()
                      throws SQLException

Specified by:
  `executeUpdate` in interface `PreparedStatement`
Overrides:
  `executeUpdate` in class `AbsWSPreparedStatement`
Throws:
  `SQLException`

#### addBatch

    public void addBatch()
                  throws SQLException

Specified by:
  `addBatch` in interface `PreparedStatement`
Overrides:
  `addBatch` in class `AbsWSPreparedStatement`
Throws:
  `SQLException`

#### executeBatch

    public int[] executeBatch()
                       throws SQLException

Specified by:
  `executeBatch` in interface `Statement`
Overrides:
  `executeBatch` in class `AbsWSPreparedStatement`
Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Statement`
Overrides:
  `close` in class `AbsWSPreparedStatement`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `PreparedStatement`
Overrides:
  `getMetaData` in class `AbsWSPreparedStatement`
Throws:
  `SQLException`

#### columnDataAddBatch

    public void columnDataAddBatch()
                            throws SQLException

Specified by:
  `columnDataAddBatch` in interface `TaosPrepareStatement`
Overrides:
  `columnDataAddBatch` in class `AbsWSPreparedStatement`
Throws:
  `SQLException`

#### columnDataExecuteBatch

    public void columnDataExecuteBatch()
                                throws SQLException

Specified by:
  `columnDataExecuteBatch` in interface `TaosPrepareStatement`
Overrides:
  `columnDataExecuteBatch` in class `AbsWSPreparedStatement`
Throws:
  `SQLException`

#### columnDataCloseBatch

    public void columnDataCloseBatch()
                              throws SQLException

Overrides:
  `columnDataCloseBatch` in class `AbsWSPreparedStatement`
Throws:
  `SQLException`